Package com.pixelmed.web

## Class WadoServer

- java.lang.Object
- - com.pixelmed.web.HttpServer
  - - com.pixelmed.web.WadoServer

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class WadoServer
      extends HttpServer

  The `WadoServer` implements an HTTP server that responds to WADO GET requests as defined by DICOM PS 3.18 (ISO 17432), which provides a standard web (http) interface through which to retrieve DICOM objects either as DICOM files or as derived JPEG images.

  It does not respond to any other type of request. See also the `RequestTypeServer` which in addition to servicing WADO requests, can provide lists of patients, studies and series that link to WADO URLs.

  It extends extends `HttpServer` and implements `generateResponseToGetRequest()`.

  See Also:
    `RequestTypeServer`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `WadoServer.WADOWorker` |

    - ### Nested classes/interfaces inherited from class com.pixelmed.web.HttpServer

      `HttpServer.Worker`

  - ### Field Summary

    - ### Fields inherited from class com.pixelmed.web.HttpServer

      `defaultNumberOfWorkers, webServerDebugLevel`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WadoServer​(java.lang.String dataBaseFileName, java.lang.String savedImagesFolderName, int dicomPort, java.lang.String calledAETitle, int storageSCPDebugLevel, int wadoPort, int webServerDebugLevel)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected HttpServer.Worker` | `createWorker()` |
    `static void` | `main​(java.lang.String[] arg)` |

    - ### Methods inherited from class com.pixelmed.web.HttpServer

      `initializeThreadPool, initializeThreadPool, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WadoServer

          public WadoServer​(java.lang.String dataBaseFileName,
                            java.lang.String savedImagesFolderName,
                            int dicomPort,
                            java.lang.String calledAETitle,
                            int storageSCPDebugLevel,
                            int wadoPort,
                            int webServerDebugLevel)

  - ### Method Detail

    - #### createWorker

          protected HttpServer.Worker createWorker()

      Specified by:
        `createWorker` in class `HttpServer`

    - #### main

          public static void main​(java.lang.String[] arg)